Get
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/golinks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/golinks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/golinks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"golinkView": {
"golink": {
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"status": "GO_LINK_STATUS_UNSPECIFIED",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": [
{
"description": "<string>",
"label": "<string>",
"target": null
}
]
},
"redirect": {
"urlTemplate": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
},
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
}
}
}Go Links
Get
Get a GoLink by ID.
GET
/
api
/
v1
/
golinks
/
{id}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Response
200 - application/json
Successful response
The GoLinkServiceGetResponse message.
GoLinkView wraps a GoLink with per-object permissions for the current user.
Show child attributes
Show child attributes
Was this page helpful?